/** \file
  \brief  Definiert und dokumentiert die Doxygen Gruppen.

  Dieses File dient nur zur Dokumentation.

  In diesem File sind smtliche in zenOn enthaltenen Gruppen zu
  definieren und zu dokumentieren.
  
  In jede Doxygen-Konfiguration ist dieses File einzubinden.
  
  Die Gruppen welche zenOn - versionsunabhngig sind, wie Treiber und zwischen
  den Versionen gemeinsame genutzte Programme, sind im entsprechenden
  File Datatool600/doxygen/DataToolsDoxyGroups.cpp zu definieren.

  Die Gruppen sind nach Gruppentitel alphabetisch zu sortieren.
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpAML Alarmierung
  \brief  zenOn Alamierung

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpAMLNET Alarmierung Netzwerk
  \brief  Objekte fr Alarme im Netzwerk

  
**********************************************************************
  \ingroup grpAML
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpAMLFUNC AML Funktionen
  \brief  Objekte der Funktionen fr AML

  
**********************************************************************
  \ingroup grpAML
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpAML_VBA AML Vba
  \brief  Objekte fr die AML VBA Anbindung

  
**********************************************************************
  \ingroup grpAML
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/


/**\defgroup grpAMLCEL Alamierung und Ereignisliste
  \brief  Gemeinsam genutzte Objekte der AML und CEL

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpAMLCEL_NET AML und CEL im Netzwerk
  \brief  Gemeinsam genutzte Objekte der AML und CEL im Netzwerk.

  
**********************************************************************
  \ingroup grpAMLCEL
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEWS Ansichten
  \brief  Enthlt die Objekte der Ansichten.

  
**********************************************************************
  \ingroup grpGRPEDITOR
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_ILOCKS Ansicht Verriegelungen
  \brief  Ansicht der Verriegelungen

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_FILTER Ansichten Filterverknpfung
  \brief  Logische Bedingungen fr Filterung.

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_MENUE Ansicht der Mens
  \brief  Objekte fr die Menansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_MSGCTRL Ansicht Messaeg Control
  \brief  Objekte fr die MSGCtrl-Ansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_PCE Ansicht PCE
  \brief  Objekte fr die PCE-Ansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpPCE
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_QVL Ansicht Querverweisliste
  \brief  Objekte fr die Ansicht der Querverweise

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpQVL
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_LANG Ansicht Sprachtabelle
  \brief  Objekte fr die Sprachtabelle

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_VBA Ansicht VBA-Makros
  \brief  Objekte fr die VBA-Ansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_ZEITST Ansicht Zeitsteuerung
  \brief  Objekte fr die Zeitsteuerung-Ansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpZEITST
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_ARV Archivansicht
  \brief  Objekte fr die Archivansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpARV
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_PIC Bilderliste
  \brief  Objekte fr die Bildliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_FUNC Funktionenliste
  \brief  Objekte fr die Funktionenliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_USER Liste der Benutzer
  \brief  Objekte fr die Benutzerliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpUSER
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_FILES Liste der Dateien
  \brief  Objekte fr die Dateiliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_PRJSAVE List der Projektsicherungen
  \brief  Objekte fr die Ansicht der Projektsicherungen

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_REPORT Liste der Reports
  \brief  Objekte fr die Reportansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpREPORT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_MODHIST Liste fr die nderungshistorie
  \brief  Objekte fr die Ansicht der nderungshistorie

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_PFS PFS-Ansicht
  \brief  Objekte fr die PFS-Ansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpPFS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_TREE Projektmanager Tree
  \brief  Objekte fr den Projekttree

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_PROP Propertieansicht
  \brief  Objekte fr die Propertieansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpPROP
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_REMA REMA-Liste
  \brief  Objekte fr die REMA-Liste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_RECIPE Rezeptansicht
  \brief  Objekte fr die Rezeptansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpRECIPE
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_RGM RGM-Ansicht
  \brief  Objekte fr die RGM-Ansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpRGM
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_TEMPL Schablonenliste
  \brief  Objekte fr die Schablonenliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_FONT Schriftliste
  \brief  Objekte fr die Schriftliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_SCRIPT Scriptliste
  \brief  Objekte fr die Scriptliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_STRATON Stratonprojektliste
  \brief  Objekte fr die Stratonprojektansicht

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpZENSTRATON
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_DRV Treiberliste
  \brief  Objekte fr die Treiberliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_TYPE Typeliste
  \brief  Objekte fr die Typeliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpTYPE
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVIEW_VAR Variablenliste
  \brief  Objekte fr die Variablenliste

  
**********************************************************************
  \ingroup grpVIEWS
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARV Archivierung
  \brief  Objekte der zenOn Archivierung

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARVAUSLAGERN Archivauslagerung
  \brief  Auslagerung der Archivdaten

  
**********************************************************************
  \ingroup grpARV
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARVSQL Archivauslagerung SQL
  \brief  SQL Auslagerung der Archivdaten

  
**********************************************************************
  \ingroup grpARVAUSLAGERN
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARVBEARBEITUNG Archiveditor
  \brief  Anzeige und Nachbearbeitung der Archive


**********************************************************************
  \ingroup grpARV
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARVFUNC Archiv Funktionen
  \brief  Objekte fr Funktionen der Archivierung

  
**********************************************************************
  \ingroup grpARV
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARVEDIT Archiv Nachbearbeitung
  \brief  Objekte fr die Archivnachbearbeitung

  
**********************************************************************
  \ingroup grpARV
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARVNET Archiv Netzwerk
  \brief  Objekte fr die Archivierung im Netzwerk

  
**********************************************************************
  \ingroup grpARV
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARVNET_SVRSB Archiv Netzwerk Server SB
  \brief  Objekte der Archivierung fr Server und SB im Netzwerk

  
**********************************************************************
  \ingroup grpARVNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARVVBA Archiv Vba
  \brief  Objekte fr die Archiv VBA Anbindung

  
**********************************************************************
  \ingroup grpARV
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpARVVERB Archiv Verbindung
  \brief  Objekte fr die Verbindungen im Archiv

**********************************************************************
  \ingroup grpARV
**********************************************************************
  \ingroup grpCONN
**********************************************************************
  \author Alfred
  \date 03.07.2006
***********************************************************************/

/** \defgroup pgrpARVFLAGS Archivierung projektierbare Optionen
    \brief Enthlt eine Gruppe von Ein/Aus Einstellungen.

    \ingroup grpARV
*/ 

/**
  \defgroup pgrpARVFILEFORMAT Aufbau der Archivdateien
  \brief Beschreibt die Strukturierung der Archivdateien.
  \ingroup grpARV 
*/

/** 
  \defgroup pgrpARVIDXFILEFORMAT Aufbau der Indexdateien
  \brief Beschreibt die Strukturierung der Archivindexdateien.
  \ingroup grpARV
*/

/**\defgroup grpALC Automatic Line Colouring
  \brief  Objekte fr das ALC


**********************************************************************
  \author MichaelT
  \date 14.02.2006
***********************************************************************/

/**\defgroup grpALC_VBA VBA-Schnittstelle ALC
  \brief  Objekte fr die VBA Schnittstelle im ALC


**********************************************************************
  \ingroup grpALC
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author MichaelT
  \date 14.02.2006
***********************************************************************/


/**\defgroup grpUSER Benutzerverwaltung
  \brief  Objekte zur Benutzerverwaltung

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpUSER_NET Benutzerverwaltung im Netzwerk
  \brief  Objekte zur Benutzerverwaltung im Netzwerk

  
**********************************************************************
  \ingroup grpUSER
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpUSER_FUNC Funktionen fr Benutzerverwaltung
  \brief  Objekte fr Funktionen bei der Benutzerverwaltung

  
**********************************************************************
  \ingroup grpUSER
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpUSER_VBA Vba fr die Benutzerverwaltung
  \brief  Objekte fr Vba bei der Benutzerverwaltung

  
**********************************************************************
  \ingroup grpUSER
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpBILD Bilder
  \brief  Objekte fr Bilder

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpBILD_ELE Bildelemente
  \brief  Objekte fr Bildelemente

  
**********************************************************************
  \ingroup grpBILD
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpBILD_RT Bilder in der RT
  \brief  Objekte fr Bilder der Runtime

**********************************************************************
  \ingroup grpBILD
**********************************************************************
  \author Alfred
  \date 19.10.2006
***********************************************************************/

/**\defgroup grpBILD_RT_ELE Bildelemente in der RT
  \brief  Objekte der Bildelemente in der Runtime

  
**********************************************************************
  \ingroup grpBILD_RT
**********************************************************************
  \author Alfred
  \date 19.10.2006
***********************************************************************/

/** \defgroup pgrpBILD_DYN_ELE_TYP Bildelemente Typ ID

**********************************************************************
  \ingroup grpBILD
**********************************************************************
  \author Alfred
  \date 19.10.2006
***********************************************************************/

/** \defgroup pgrpBLD_RT_FOCUS_DIR Fokusierungsrichtung

**********************************************************************
  \ingroup grpBILD_RT
**********************************************************************
  \author Alfred
  \date 19.10.2006
***********************************************************************/

/** \defgroup pgrpBLD_RT_BUTTON Ereigniskennung

**********************************************************************
  \ingroup grpBILD_RT
**********************************************************************
  \author Alfred
  \date 19.10.2006
***********************************************************************/

/** \defgroup grpBILD_ELE_VBA Vba bei Bildelementen
  \brief  Objekte fr Vba bei Bildelementen

  
**********************************************************************
  \ingroup grpBILD_ELE
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpBILD_FUNC Funktionen fr Bilder
  \brief  Objekte der Funktionen fr Bilder

  
**********************************************************************
  \ingroup grpBILD
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpBILD_VBA Vba fr Bilder
  \brief  Objekte fr vba bei den Bildern

  
**********************************************************************
  \ingroup grpBILD
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI MDI Bilder
  \brief  Objekte fr die MDI-Bilder allgemein

  
**********************************************************************
  \ingroup grpBILD
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_STD Allgemeines Bild
  \brief  Objekte zur Anzeige des Bildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_ALERT Alarmanzeige
  \brief  Objekte fr das Alarm-MDI Bild

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpAMLEDIT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_ASM Alarmstatistikmanagement
  \brief  Objekte fr das ASM MDI Bild

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Bernhard
  \date 08.09.2006
***********************************************************************/

/**\defgroup grpMDI_CEL Anzeige der Ereignisliste
  \brief  Objekte fr das CEL MDI Bild

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpCELEDIT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_ARV Archivnachbearbeitung
  \brief  Objekte fr das Archiv-MDI Bild

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpARVEDIT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_EWT Erweiterter Trend
  \brief  Objekte zur Anzeige des Trend.

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpETREND
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_HPROG Hchstlastprognose
  \brief  Objekte zur Anzeige der Hchstlastprognose

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_HTML HTML
  \brief  Objekte zur Anzeige des HTML Bildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_IMM IMM
  \brief  Objekte zur Anzeige des IMM Bildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpIMM
**********************************************************************
  \author Lucia
  \date 06.09.2006
***********************************************************************/

/**\defgroup grpMDI_IPA IPA
  \brief  Objekte zur Anzeige des IPA Bildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpIPA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_LIST Liste
  \brief  Objekte zur Anzeige des Listenbildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_LOGIN Login
  \brief  Objekte zur Anzeige des Loginbildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_PFS PFS
  \brief  Objekte zur Anzeige des PFS-Bildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpPFS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_RGM RGM
  \brief  Objekte zur Anzeige des RGM

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpRGM
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_REPORT Report
  \brief  Objekte zur Anzeige des Reporteditors

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpREPORT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_RECIPE Rezepte
  \brief  Objekte zur Anzeige des Rezepteditors

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \ingroup grpRECIPE
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_KEYB Tastatur
  \brief  Objekte zur Anzeige des Tastaturbildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_VARSTD Variablenstatus
  \brief  Objekte zur Anzeige des Variablenstatusbildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_VIDEO Videobild
  \brief  Objekte zur Anzeige des Videobildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMDI_WORLD Weltbild
  \brief  Objekte zur Anzeige des Weltbildes

  
**********************************************************************
  \ingroup grpMDI
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPROFILE Editor Profile
  \brief  Objekte fr die Profile.

  Fr diese Typen kann ein Profil festgelegt werden das mit einem ZenOn Modul verknpft ist.
  Die Zuordnung der Module zu den Profiltypen erfolgt in CMainFrameEd::SelectProfileExt
**********************************************************************
  \author JensR
  \date 20.01.2006
***********************************************************************/

/**\defgroup grpTOOLBAR Editor Toolbar
  \brief  Objekte fr die Toolbars

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpCEL Ereignisliste
  \brief  zenOn Ereignisliste

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpCELEDIT Ereignisliste editieren
  \brief  Objekte zum Verndern der Ereigniseintrge

  
**********************************************************************
  \ingroup grpCEL
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpCELNET Ereignisliste Netzwerk
  \brief  Objekte fr die Ereignisliste im Netzwerk

  
**********************************************************************
  \ingroup grpCEL
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpCELFUNC CEL Funktionen
  \brief  Objekte der Funktionen fr CEL

  
**********************************************************************
  \ingroup grpCEL
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpCEL_VBA CEL Vba
  \brief  Objekte fr die CEL VBA Anbindung

  
**********************************************************************
  \ingroup grpCEL
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpETREND Erweiterter Trend
  \brief  Objekte fr den erweiterten Trend

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpETREND_ARV E. Trend mit Archive
  \brief  Erweiterter Trend mit Archiv

  
**********************************************************************
  \ingroup grpETREND
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpETREND_FUNC E. Trend Funktionen
  \brief  Objekte der Funktionen fr erweiterten Trend

  
**********************************************************************
  \ingroup grpETREND
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpETREND_HD E. Trend mit HD-Daten
  \brief  Erweiterter Trend mit HD-Daten

  
**********************************************************************
  \ingroup grpETREND
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpETREND_PRJ E. Trend Projektierung
  \brief  Projektierung des erweiterten Trends

  
**********************************************************************
  \ingroup grpETREND
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpETREND_VBA E. Trend Vba
  \brief  Objekte fr Vba beim erweiterten Trend

  
**********************************************************************
  \ingroup grpETREND
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpFUNC Funktionen
  \brief  Objekte fr die zenOn Funktionen

  
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpFUNC_VBA Vba fr Funktionen
  \brief  Objekte fr Vba bei den Funktionen

  
**********************************************************************
  \ingroup grpFUNC
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGROUPS Gruppen
  \brief  Zum gruppieren der Gruppen. 

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPEDITOR Editor
  \brief  Gruppen f. Module im zenOn Editor

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPEXP zenOn Export
  \brief  Gruppen fr den Export

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
**********************************************************************
  \sa \ref grpXML
***********************************************************************/

/**\defgroup grpGRPFUNC zenOn Funktionen
  \brief  Gruppen der Funktionen

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPIMP zenOn Import
  \brief  Gruppen fr den Import

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
**********************************************************************
  \sa \ref grpXML
***********************************************************************/

/**\defgroup grpGRPRT Runtime
  \brief  Gruppen f. Module der Runtime

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPSTRATON Straton
  \brief  Gruppen fr Straton

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPZENDBSERVER zenON DB Server
  \brief  Gruppen fr die Editor Datenbankanbindung

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPNETSERVER zenOn NET Server
  \brief  Gruppen fr den Netservice

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPNET zenOn Netzwerk
  \brief  Gruppen fr das zenOn Netzwerk

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPSQLSERVER zenOn SQL Server
  \brief  Gruppen fr den SQL Server

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPZENTOOLS zenOn Tools
  \brief  Gruppen fr die zustzlichen Programme

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpGRPVBA zenOn VBA
  \brief  Gruppen fr das VBA Interface

**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
**********************************************************************
  \sa \ref grpVBA
***********************************************************************/

/**\defgroup grpGRPCONN zenOn Verbindungen
  \brief  Gruppen welche Verbindungen sind

**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 03.07.2006
***********************************************************************/

/**\defgroup grpGRPWEBSERVER zenOn WEB Server
  \brief  Gruppen fr den WEB Server

  
**********************************************************************
  \ingroup grpGROUPS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpHELP_RT Hilfe in der RT
  \brief  Objekte fr die Hilfe in der Rt

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpHELP_RT_FUNC Funktionen fr RT-Hilfe
  \brief  Objekte der Funktionen fr die Rt-Hilfe

  
**********************************************************************
  \ingroup grpHELP_RT
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpIMM Industrial Maintenance Manager
  \brief  Objekte fr den IMM

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/


/**\defgroup grpIPA Industrial Performance Analyser
  \brief  Objekte fr den IPA

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpLICENSE Lizenzierung
  \brief  Objekte fr die Lizenzierung

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMULTIUSER Mehrbenutzerverwaltung
  \brief  Objekte fr die Mehrbenutzerverwaltung

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMULTIUSER_VBA Vba fr Mehrbenutzerverwaltung
  \brief  Objekte fr Vba bei der Mehrbenutzerverwaltung

  
**********************************************************************
  \ingroup grpMULTIUSER
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMONITOR Monitorverwaltung
  \brief  Objekte fr die Monitorverwaltung

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMONITOR_FUNC Funktionen der Monitorverwaltung
  \brief  Objekte der Funktionen bei der Monitorverwaltung

  
**********************************************************************
  \ingroup grpMONITOR
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMSGCTRL Message Control
  \brief  Objekte fr das Message Control

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMSGCTRL_FUNC Funktionen fr Message Control
  \brief  Objekte fr Funktionen beim Message control

  
**********************************************************************
  \ingroup grpMSGCTRL
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpNET Netzwerk
  \brief  zenOn Netzwerk

  
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpNETFUNC Netzwerk Funktionen
  \brief  Objekte der Funktionen fr Netzwerk

  
**********************************************************************
  \ingroup grpNET
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpNETSERVER_SB Netzwerk Server SB
  \brief  Netzwerk Server SB Funktionalitt

  
**********************************************************************
  \ingroup grpNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpNET_SHARED RT + Netservice
  \brief  Zwischen Rt und Netzservice gemeinsam genutzte Objekte.

  In diesem Modul werden Definitionen und Klassen dokumentiert welche vom
  Netzservice und RT gemeinsam genutzt werden.
**********************************************************************
  \ingroup grpNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
**********************************************************************
  \ingroup grpGRPNETSERVER
***********************************************************************/

/**\defgroup grpNET_ERRORS Netzwerkfehler
  \brief  Netzwerk CD interne Fehlercodes.

  Um auf Fehlersituationen reagieren zu knnen wurden Fehlermeldungen implementiert.
  Die \ref grpNET_ERRSRVTELMSG werden als Datenpakete zur RT versendet.
**********************************************************************
  \ingroup grpNET_SHARED
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpNET_ERREVENTMSG Netzservice ID Fehlermeldungen
  \brief  Kennzeichnet die Fehlermeldung

  Diese Fehlermeldungen werden als Netservice Fehlermeldungen fr die Funktionen
  CD_CNetAdviseSink::GetLastErrorString() und CD_CNetAdviseSink::GetLastErrorID() abgelegt.
  Nheres kann bei der Methode CD_CNetAdviseSink::SendeEventMessage 
  nachgelesen werden.
**********************************************************************
  \ingroup grpNET_ERRORS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpNET_ERRSRVTELMSG Netzservice Message Fehlerkennungen
  \brief  Als Datenpaket versendete Fehlermeldungen.

  Diese Fehlermeldungen werden als Datenpakete versendet und
  dadurch auch geroutet. Die Werte der Fehlermeldungen drfen nicht
  im Bereich der WSA-Fehler sein.
**********************************************************************
  \ingroup grpNET_ERRORS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpNET_TYPE Netztypen
  \brief  Definiert den Netzwerktyp.

  
**********************************************************************
  \ingroup grpNET_SHARED
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpNET_ZENNETSRV ZenNetSrv Telegrammtyp
  \brief  Definitionen fr den Telegrammtyp.

  Enthlt die Definitionen der mglichen Kennungen
  fr den Type der Klasse CD_CNetSendeBuffer. 
  Mittels diese Kennungen wird bei der Kommunikation zwischen
  den Netzservices erkannt um welcher Art der Daten es sich handelt.

  In der RT sind zustzliche Werte in CD_CNetProjectAdviseSink::NetModule definiert.
**********************************************************************
  \ingroup grpNET_SHARED
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpTOOLS Ntzliche Objekte und Funktionen
  \brief  Globale Bibliothek von Objekten, Funktionen usw.

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpTOOLS_CTRL Controls
  \brief  berschreibungen von MFC-Controls bzw. eigene COPA-DATA-Controls

  
**********************************************************************
  \ingroup grpTOOLS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPCE Process Control Engine
  \brief  Objekte fr die Process Control Engine

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPCE_FUNC zenOn PCE Funktionen
  \brief  Objekte fr die PCE Funktionen

  
**********************************************************************
  \ingroup grpPCE
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPROCGATEWAY Process Gateway
  \brief  <<<\Durch Kurzbeschreibung ersetzen. Kurzbeschreibung endet mit einer LEERZEILE!!!>>>

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPFS Production and Facility Scheduler
  \brief  Objekte fr den PFS

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPFS_DATA PFS Daten
  \brief  Objekte fr die PFS Daten

  
**********************************************************************
  \ingroup grpPFS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPFS_NET PFS Netzwerk
  \brief  Objekte fr den PFS im Netzwerk

  
**********************************************************************
  \ingroup grpPFS
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPFS_VBA Vba fr den PFS
  \brief  Objekte fr Vba beim PFS

  
**********************************************************************
  \ingroup grpPFS
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPFS_FUNC zenOn PFS Funktionen
  \brief  Objekte fr die PFS Funktionen

  
**********************************************************************
  \ingroup grpPFS
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPRJ Projekt allgemein
  \brief  Objekte fr das Projekt sowie Verwaltung

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPRJ_FUNC Funktionen frs Projekt
  \brief  Objekte fr Funktionen beim Projekt

  
**********************************************************************
  \ingroup grpPRJ
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPRJ_VBA Vba beim Projekt
  \brief  Objekte fr Vba beim Projekt

  
**********************************************************************
  \ingroup grpPRJ
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpPROP Properties
  \brief  Objekte fr die Properties

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/** \defgroup pgrpPF_DLGPOS Dialogoptionen 
    \brief Flags fr Positionierung in der Dialogansicht.
    
**********************************************************************
  \author Alfred
  \date 13.10.2006
**********************************************************************
    \ingroup grpPROP
*/

/** \defgroup pgrpPF_PARAM Property Parameter Flags
    \brief Definiert die Flags fr CPropParam::m_uiParamType
    
**********************************************************************
  \author Alfred
  \date 13.10.2006
**********************************************************************
    \ingroup grpPROP
*/

/** \defgroup pgrpPROPENTRY_TYPE Property Typen
    \brief Spezifiziert den Typ vom Einstellungsfeld.
   
**********************************************************************
    \author Alfred
    \date 13.10.2006
**********************************************************************
    \ingroup grpPROP
*/

/**\defgroup grpPROP_VBA Vba fr die Properties
  \brief  Objekte fr Vba bei den Properties

  
**********************************************************************
  \ingroup grpPROP
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpQVL Querverweisliste
  \brief  Objekte fr die Querverweisliste

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREMA Reaktionsmatrizen
  \brief  Objekte fr die REMA

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREMA_ANA Analogrema
  \brief  Objekte fr die Analog REMA

  
**********************************************************************
  \ingroup grpREMA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREMA_BIN Binrrema
  \brief  Objekte fr die Binr REMA

  
**********************************************************************
  \ingroup grpREMA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/** \defgroup pgrpREMA_TYPES REMA Arten  
    \ingroup grpREMA
    \brief Mgliche Werte des Rema-Types.

    */

/**\defgroup grpREMA_RT REMA zur Laufzeit
  \brief  Objekte der Rema in der RT

  
**********************************************************************
  \ingroup grpREMA
**********************************************************************
  \ingroup grpLIMITS_RT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREMA_STRING Stringrema
  \brief  Objekte fr die String REMA

  
**********************************************************************
  \ingroup grpREMA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREMA_VBA Vba fr die Rema
  \brief  Objekte fr Vba bei der Rema

  
**********************************************************************
  \ingroup grpREMA
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREMOTETRASP Remote Transport
  \brief  zenOn Remotetransport

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREMOTETRASP_CLI Remote Transport Client
  \brief  Remotetransport Client

  
**********************************************************************
  \ingroup grpREMOTETRASP
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREMOTETRASP_SRV Remote Transport Server
  \brief  Remotetransport Server

  
**********************************************************************
  \ingroup grpREMOTETRASP
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREPORT Report
  \brief  Objekte fr den Report

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREP_FUNC Reportfunktionen
  \brief  Objekte der Funktionen fr den Report

  
**********************************************************************
  \ingroup grpREPORT
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpREP_VBA Vba fr den Report
  \brief  Objekte fr Vba beim Report

  
**********************************************************************
  \ingroup grpREPORT
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpRECIPE Rezepte
  \brief  Objekte fr die Rezepte

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpRECIPE_FUNC Funktionen fr Rezept
  \brief  Objekte der Funktionen beim Rezept

  
**********************************************************************
  \ingroup grpRECIPE
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpRECIPE_NET Rezepte im Netzwerk
  \brief  Objekte fr die Rezepte im Netzwerk

  
**********************************************************************
  \ingroup grpRECIPE
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpRECIPE_VBA Vba fr Rezepte
  \brief  Objekte fr Vba beim Rezept

  
**********************************************************************
  \ingroup grpRECIPE
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpRGM Rezeptgruppenmanager
  \brief  Objekte fr den Rezeptgruppenmanager

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpRGM_FUNC Funktionen fr RGM
  \brief  Objekte der Funktionen beim RGM

  
**********************************************************************
  \ingroup grpRGM
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpRGM_DB RGM Datenbankanbindung
  \brief  Objekte des RGM fr die Datenbankanbindung

  
**********************************************************************
  \ingroup grpRGM
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpRGM_NET RGM Netzwerk
  \brief  Objekte des RGM im Netzwerk

  
**********************************************************************
  \ingroup grpRGM
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpRGM_VBA Vba beim RGM
  \brief  Objekte fr Vba beim RGM

  
**********************************************************************
  \ingroup grpRGM
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/


/**\defgroup grpMENU Runtime Mens
  \brief  Objekte fr die Mens

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMENU_FUNC Funktionen fr Mens
  \brief  Objekte der Funktionen fr Mens

  
**********************************************************************
  \ingroup grpMENU
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMENU_VBA Vba fr Mens
  \brief  Objekte fr Vba bei den Mens

  
**********************************************************************
  \ingroup grpMENU
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpFONT Schriften
  \brief  Objekte fr die Schriften

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpFONT_FUNC Funktionen fr Schriften
  \brief  Objekte fr Funktionen der Schrift

  
**********************************************************************
  \ingroup grpFONT
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpLTABLE Sprachtabelle
  \brief  Objekte der Sprachtabelle

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpLTABLE_FUNC Funktionen fr Sprachtabelle
  \brief  Objekte fr Funktionen der Sprachtabelle

  
**********************************************************************
  \ingroup grpLTABLE
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpLTABLE_VBA Vba fr Sprachtabelle
  \brief  Objekte fr Vba bei der Sprachtabelle

  
**********************************************************************
  \ingroup grpLTABLE
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpSCRIPT Skripte
  \brief  Objekte fr die Skripte

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpSCRIPT_FUNC Funktionen fr Skripte
  \brief  Objekte der Funktionen beim Skript

  
**********************************************************************
  \ingroup grpSCRIPT
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpSYMBOLS Symbole
  \brief  Objekte der Symbolverwaltung

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpSYMBOLS_VBA Vba fr Symbole
  \brief  Objekte fr Vba bei der Symbolverwaltung

  
**********************************************************************
  \ingroup grpSYMBOLS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVAR Variablen
  \brief  Objekte fr die Variablen

  Variablen sind in zenOn wohl eines der zentralsten Objekte. Es gibt 
  so gut wie kein Module welche diese nicht verwendet.
**********************************************************************
  \author Alfred
  \date 08.02.2006
***********************************************************************/

/**\defgroup grpHD Harddiskdaten
  \brief  Objekte der HD-Daten

  
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/


/**\defgroup grpHD_NET Harddiskdaten Netzwerk
  \brief  Objekte der HD-Daten frs Netzwerk

  
**********************************************************************
  \ingroup grpHD
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpHD_PROP Harddiskdaten Properties
  \brief  Objekte der HD-Daten Properties

  
**********************************************************************
  \ingroup grpHD
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpHD_VBA Harddiskdaten Vba
  \brief  Objekte der HD-Daten fr Vba

  
**********************************************************************
  \ingroup grpHD
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpLIMITS Grenzwerte
  \brief  Objekte fr die Grenzwerte

  
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpLIMITS_RECO Erkennung verletzter Grenzwert
  \brief  Objekte zur Erkennung welcher Grenzwert verletzt ist

  
**********************************************************************
  \ingroup grpLIMITS_RT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpLIMITS_RT Grenzwerte in der RT
  \brief  Objekte der Grenzwerte in der RT

  
**********************************************************************
  \ingroup grpLIMITS
**********************************************************************
  \ingroup grpVAR_RT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpLIMITS_VBA Vba fr die Grenzwerte
  \brief  Objekte fr Vba bei den Grenzwerten

  
**********************************************************************
  \ingroup grpLIMITS
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVAR_DRVPRIMOBJ Treiber Primitivobjekte
  \brief  Primitivobjekttypen der Treiber

  Enthlt die mglichen Werte der Treiber Primitivobjekte.
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \author Alfred
  \date 27.02.2006
***********************************************************************/

/**\defgroup grpVAR_RT Runtime Variablen
  \brief  Objekte fr die Variablen zur Laufzeit

  
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \ingroup grpGRPRT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVAR_FUNC Variable Funktionen
  \brief  Objekte fr Funktionen bei der Variable

  
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVAR_NET Variablen Netzwerk
  \brief  Objekte der Variablen fr das Netzwerk

  
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVAR_PROP Variablen Properties
  \brief  Objekte fr die Variablenproperties

  
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVAR_STATI Variablen Status
  \brief  Variablen Stati

  Definiert die Variablen Stati.
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \author Alfred
  \date 28.02.2006
***********************************************************************/

/**\defgroup grpCONN Verbindungen
  \brief  Objekte der Verbindungen

  Dieser Programmteil von zenOn kmmert sich um die Verwaltung 
  (anmelden, abmelden bei den Treibern) und Verteilung 
  (lokal oder Netzwerk)der Daten der Datenpunkte zu den einzelnen Programmteilen.
**********************************************************************
  \ingroup grpVAR_RT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpCONN_SOLLWERTSTATUSABSETZEN Poke-Status
  \brief  Kennungen fr Sollwert setzen.

  Kennzeichnet welcher Wert fr den Datenpunkt im Treiber modifiziert werden 
  soll und welches Kommando hierfr zum Treiber gesendet wird.
**********************************************************************
  \ingroup grpCONN
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpCONN_NET Verbindungen im Netzwerk
  \brief  Objekte der Verbindungen im Netzwerk

  
**********************************************************************
  \ingroup grpCONN
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpCONN_TYPE Verbindungsarten
  \brief  Mgliche Verbindungsarten

  Es wird zwischen verschiedenen Typen von Verbindungen unterschieden. 
  Ein Verbindungstype reprsentiert hierbei eine bestimmt Aufgabe, 
  jedoch von der Position des Rechners in der Netzwerktopologie unabhngig. 
  Die Member CVerbindung::m_cTyp beinhaltet den Verbindungstype.
**********************************************************************
  \ingroup grpCONN
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpCONN_TYPEVERBINDUNG Verbindungsinstanz
  \brief  Kennzeichnet von welchen C++ Type die Klasse ist.

  
**********************************************************************
  \ingroup grpCONN
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVAR_VBA Variablen VBA
  \brief  VBA Objekte fr die Variablen

  
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpVBA VBA Basisfunktionalitt
  \brief  Objekte um VBA verwenden zu knnen.

**********************************************************************
  \author Alfred
  \date 25.10.2006
**********************************************************************
  \sa \ref grpGRPVBA
***********************************************************************/

/**\defgroup grpXML XML Ex-/Import
  \brief  zenOn XML Export und XML Import Funktionalitt

**********************************************************************
  \author JensR
  \date 26.05.2006
**********************************************************************
  \sa \ref grpGRPIMP, \ref grpGRPEXP
***********************************************************************/

/**\defgroup grpTYPE zenOn Typen
  \brief  Objekte fr die Typen

  
**********************************************************************
  \ingroup grpVAR
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpTYPE_SIMPLE Einfacher Type
  \brief  Objekte fr den einfachen Type

  
**********************************************************************
  \ingroup grpTYPE
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpTYPE_CPLX Komplexe Typen
  \brief  Objekte fr den komplexen Type

  
**********************************************************************
  \ingroup grpTYPE
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpTYPE_VBA Vba fr den Type
  \brief  Objekte fr Vba beim Type

  
**********************************************************************
  \ingroup grpTYPE
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpINT zenOn Internreiber
  \brief  Objekte fr den Interntreiber
  

**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpDRV_INT Interntreiber
  \brief  Objekte fr den Interntreiber

  
**********************************************************************
  \ingroup grpINT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpINT_NET Interntreiber im Netzwerk
  \brief  Objekte fr den Interntreiber im Netzwerk

  
**********************************************************************
  \ingroup grpINT
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpINT_VAR Interntreibervariablen
  \brief  Objekte fr die Interntreibervariablen

  
**********************************************************************
  \ingroup grpINT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpINT_PRJ Projektierung der Interntreibervariablen
  \brief  Objekte fr die Projektierung der Interntreibervariablen

  
**********************************************************************
  \ingroup grpINT
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/


/**\defgroup grpMATHE zenOn Mathematik
  \brief  Objekte fr die Mathematik

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpDRV_MATHE Mathematiktreiber
  \brief  Objekte fr den Mathematiktreiber

  
**********************************************************************
  \ingroup grpMATHE
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/** \addtogroup pgrpMATHE_CALC_ID ID's der Berechnungen 
    \brief Enthlt die mglichen Kennungen fr die Art der Berechnungen.

    \ingroup grpMATHE
    \author Alfred
    \date 06.07.2006
*/

/**\defgroup grpMATHE_VAR Mathematikvariable
  \brief  Objekte fr die Mathematikvariable

  
**********************************************************************
  \ingroup grpMATHE
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMATHE_NET Mathemtikvariablen im Netzwerk
  \brief  Objekte fr Mathematik im Netzwerk

  
**********************************************************************
  \ingroup grpMATHE
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpMATHE_PRJ Projektierung der Mathematikvariablen
  \brief  Objekte fr die Projektierung der Mathematikvariablen

  
**********************************************************************
  \ingroup grpMATHE
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpZENSTRATON zenOn Straton
  \brief  Objekte fr die Stratonanbindung in zenOn

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpSYS zenOn Systemtreiber
  \brief  Objekte fr den Systemtreiber

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpDRV_SYS Systemtreiber
  \brief  Objekte fr den Systemtreiber

  
**********************************************************************
  \ingroup grpSYS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpSYS_PRJ Projektierung der Systemtreibervariablen
  \brief  Objekte fr die Projektierung der Systemtreibervariablen

  
**********************************************************************
  \ingroup grpSYS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpSYS_NET Systemtreiber im Netzwerk
  \brief  Objekte fr den Systemtreiber im Netzwerk

  
**********************************************************************
  \ingroup grpSYS
**********************************************************************
  \ingroup grpGRPNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpSYS_VAR Systemtreibervariablen
  \brief  Objekte fr die Systemtreibervariablen

  
**********************************************************************
  \ingroup grpSYS
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/** \addtogroup pgrpSYS_VARCREATE Hinzufgen eine neuen Systemtreibervariable 
    \brief  Eine Schritt fr Schritt Anleitung wie eine neue Systemtreibervariable
            hinzugefgt wird.

    
    \ingroup grpSYS_VAR
    \author Alfred
    \date 17.07.2006
*/

/**\defgroup grpSYS_VARSP Spontane Systemtreibervariablen
  \brief  Objekte fr die spontanen Systemtreibervariablen

**********************************************************************
  \ingroup grpSYS_VAR
**********************************************************************
  \author Alfred
  \date 17.07.2006
***********************************************************************/

/**\defgroup grpSYS_VARCY Zyklische Systemtreibervariablen
  \brief  Objekte fr die zyklischen Systemtreibervariablen

**********************************************************************
  \ingroup grpSYS_VAR
**********************************************************************
  \author Alfred
  \date 17.07.2006
***********************************************************************/

/**\defgroup grpZEITST Zeitsteuerung
  \brief  Objekte fr die Zeitsteuerung

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpZEITST_VBA Vba fr die Zeitsteuerung
  \brief  Objekte fr Vba bei der Zeitsteuerung

  
**********************************************************************
  \ingroup grpZEITST
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpZUWEISUNGEN Zuweisung
  \brief  Objekte fr die Zuweisungen

  
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpZUWFUNC Funktionen fr Zuweisungen
  \brief  Objekte fr Funktionen der Zuweisung

  
**********************************************************************
  \ingroup grpZUWEISUNGEN
**********************************************************************
  \ingroup grpGRPFUNC
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpZUWNET Zuweisungen Netzwerk
  \brief  Objekte fr Zuweisungen im Netzwerk

  
**********************************************************************
  \ingroup grpZUWEISUNGEN
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpZUWNET_SRV_SB Zuweisungen fr Server SB
  \brief  Objekte der zuweisungen fr Server und SB

  
**********************************************************************
  \ingroup grpZUWNET
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/

/**\defgroup grpZUW_VBA Vba bei den Zuweisungen
  \brief  Objekte fr Vba bei den Zuweisungen

  
**********************************************************************
  \ingroup grpZUWEISUNGEN
**********************************************************************
  \ingroup grpGRPVBA
**********************************************************************
  \author Alfred
  \date 09.02.2006
***********************************************************************/


